/*
  Demonstrates memory mapping features of the OS.

  Orion Sky Lawlor, olawlor@acm.org, 2005/3/23 (Public Domain)
*/
#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include "mmap.h"
#include "mmap.cpp" /* <- for easy linking */

int main() {
	int *some_ptr=(int *)0x09048000; /* some random pointer */
	
	printf("About put some memory at some_ptr=%p\n",some_ptr);
	memory_mapping m(some_ptr,1025*sizeof(int));
	
	printf("About to look at some_ptr=%p\n",some_ptr);
	*some_ptr=1234;
	int value=*some_ptr;
	printf("Value at some_ptr=%d\n",value);
	
	return 0;
}
